//Ex5_3.cpp
#include "iostream" 
using namespace std;
char *strcat1(char *s1,const char *s2) 
{char *p=s1; 
 while(*p++!='\0');  
 --p;     //将p指针指向s1中'\0'的位置
 while(*p++=*s2++); 
 return(s1); 
}
void main() 
{char p1[20],p2[10]; 
 gets(p1);
 gets(p2); 
 cout<<"拼接后:"<<strcat1(p1,p2)<<endl; //
}
